Skip to main content

Class SolveGraphRequest.Options

java.lang.Object
com.gpudb.protocol.SolveGraphRequest.Options
Enclosing class:

public static final class SolveGraphRequest.Options extends Object
A set of string constants for the SolveGraphRequest parameter options.

Additional parameters.

  • Field Details

    • MAX_SOLUTION_RADIUS

      public static final String MAX_SOLUTION_RADIUS
      For ALLPATHS, SHORTEST_PATH and INVERSE_SHORTEST_PATH solvers only. Sets the maximum solution cost radius, which ignores the destinationNodes list and instead outputs the nodes within the radius sorted by ascending cost. If set to ‘0.0’, the setting is ignored. The default value is ‘0.0’.
    • MIN_SOLUTION_RADIUS

      public static final String MIN_SOLUTION_RADIUS
      For ALLPATHS, SHORTEST_PATH and INVERSE_SHORTEST_PATH solvers only. Applicable only when MAX_SOLUTION_RADIUS is set. Sets the minimum solution cost radius, which ignores the destinationNodes list and instead outputs the nodes within the radius sorted by ascending cost. If set to ‘0.0’, the setting is ignored. The default value is ‘0.0’.
    • MAX_SOLUTION_TARGETS

      public static final String MAX_SOLUTION_TARGETS
      For ALLPATHS, SHORTEST_PATH and INVERSE_SHORTEST_PATH solvers only. Sets the maximum number of solution targets, which ignores the destinationNodes list and instead outputs no more than n number of nodes sorted by ascending cost where n is equal to the setting value. If set to 0, the setting is ignored. The default value is ‘1000’.
    • UNIFORM_WEIGHTS

      public static final String UNIFORM_WEIGHTS
      When specified, assigns the given value to all the edges in the graph. Note that weights provided in weightsOnEdges will override this value.
    • LEFT_TURN_PENALTY

      public static final String LEFT_TURN_PENALTY
      This will add an additional weight over the edges labeled as ‘left turn’ if the ‘add_turn’ option parameter of the GPUdb.createGraph was invoked at graph creation. The default value is ‘0.0’.
    • RIGHT_TURN_PENALTY

      public static final String RIGHT_TURN_PENALTY
      This will add an additional weight over the edges labeled as’ right turn’ if the ‘add_turn’ option parameter of the GPUdb.createGraph was invoked at graph creation. The default value is ‘0.0’.
    • INTERSECTION_PENALTY

      public static final String INTERSECTION_PENALTY
      This will add an additional weight over the edges labeled as ‘intersection’ if the ‘add_turn’ option parameter of the GPUdb.createGraph was invoked at graph creation. The default value is ‘0.0’.
    • SHARP_TURN_PENALTY

      public static final String SHARP_TURN_PENALTY
      This will add an additional weight over the edges labeled as ‘sharp turn’ or ‘u-turn’ if the ‘add_turn’ option parameter of the GPUdb.createGraph was invoked at graph creation. The default value is ‘0.0’.
    • NUM_BEST_PATHS

      public static final String NUM_BEST_PATHS
      For MULTIPLE_ROUTING solvers only; sets the number of shortest paths computed from each node. This is the heuristic criterion. Default value of zero allows the number to be computed automatically by the solver. The user may want to override this parameter to speed-up the solver. The default value is ‘0’.
    • MAX_NUM_COMBINATIONS

      public static final String MAX_NUM_COMBINATIONS
      For MULTIPLE_ROUTING solvers only; sets the cap on the combinatorial sequences generated. If the default value of two millions is overridden to a lesser value, it can potentially speed up the solver. The default value is ‘2000000’.
    • OUTPUT_EDGE_PATH

      public static final String OUTPUT_EDGE_PATH
      If true then concatenated edge IDs will be added as the EDGE path column of the solution table for each source and target pair in shortest path solves. Supported values:The default value is FALSE.
    • TRUE

      public static final String TRUE
      An additional column ‘CLUSTER’ will be added for each node.
    • FALSE

      public static final String FALSE
      No extra cluster info per node will be available in the output.
    • OUTPUT_WKT_PATH

      public static final String OUTPUT_WKT_PATH
      If true then concatenated wkt line segments will be added as the Wktroute column of the solution table for each source and target pair in shortest path solves. Supported values:The default value is TRUE.
    • SERVER_ID

      public static final String SERVER_ID
      Indicates which graph server(s) to send the request to. Default is to send to the server, amongst those containing the corresponding graph, that has the most computational bandwidth. For SHORTEST_PATH solver type, the input is split amongst the server containing the corresponding graph.
    • CONVERGENCE_LIMIT

      public static final String CONVERGENCE_LIMIT
      For PAGE_RANK solvers only; Maximum percent relative threshold on the page rank scores of each node between consecutive iterations to satisfy convergence. Default value is 1 (one) percent. The default value is ‘1.0’.
    • MAX_ITERATIONS

      public static final String MAX_ITERATIONS
      For PAGE_RANK solvers only; Maximum number of page rank iterations for satisfying convergence. Default value is 100. The default value is ‘100’.
    • MAX_RUNS

      public static final String MAX_RUNS
      For all CENTRALITY solvers only; Sets the maximum number of shortest path runs; maximum possible value is the number of nodes in the graph. Default value of 0 enables this value to be auto computed by the solver. The default value is ‘0’.
    • OUTPUT_CLUSTERS

      public static final String OUTPUT_CLUSTERS
      For STATS_ALL solvers only; the cluster index for each node will be inserted as an additional column in the output. Supported values:
      • TRUE: An additional column ‘CLUSTER’ will be added for each node.
      • FALSE: No extra cluster info per node will be available in the output.
      The default value is FALSE.
    • SOLVE_HEURISTIC

      public static final String SOLVE_HEURISTIC
      Specify heuristic search criterion only for the geo graphs and shortest path solves towards a single target. Supported values:
      • ASTAR: Employs A-STAR heuristics to speed up the shortest path traversal.
      • NONE: No heuristics are applied.
      The default value is NONE.
    • ASTAR

      public static final String ASTAR
      Employs A-STAR heuristics to speed up the shortest path traversal.
    • NONE

      public static final String NONE
      No heuristics are applied.
    • ASTAR_RADIUS

      public static final String ASTAR_RADIUS
      For path solvers only when ‘solve_heuristic’ option is ‘astar’. The shortest path traversal front includes nodes only within this radius (kilometers) as it moves towards the target location. The default value is ‘70’.